# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAccelString Class Reference

A string class handling accelerators. More...

`#include <kaccelmanager_private.h>`

Collaboration diagram for KAccelString:

[legend]
List of all members.

## Public Member Functions

| KAccelString (const QString &input, int initalWeight=-1)
void | calculateWeights (int initialWeight)
const QString & | pure () const
QString | accelerated () const
int | accel () const
void | setAccel (int accel)
int | originalAccel () const
QString | originalText () const
QChar | accelerator () const
int | maxWeight (int &index, const QString &used)
bool | operator== (const KAccelString &c) const

## Detailed Description

A string class handling accelerators.

This class contains a string and knowledge about accelerators. It keeps a list weights, telling how valuable each character would be as an accelerator.

Author:
  Matthias H�zer-Klpfel <mhk@kde.org>

Definition at line 42 of file kaccelmanager_private.h.

The documentation for this class was generated from the following files:

- kaccelmanager_private.h
- kaccelmanager.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003